summarylogtreecommitdiffstats
path: root/c99
diff options
context:
space:
mode:
authorDaniel Kozak2019-08-07 14:27:34 +0200
committerDaniel Kozak2019-08-07 14:27:34 +0200
commitb8e0c3abea23e7f865ed6fb3bb86bad1dd94adb9 (patch)
tree4ef05f00373c851fd83440479b1cbea1abd5fb13 /c99
downloadaur-gdc-static.tar.gz
initial commit
Diffstat (limited to 'c99')
-rw-r--r--c9910
1 files changed, 10 insertions, 0 deletions
diff --git a/c99 b/c99
new file mode 100644
index 000000000000..88dd80640fe1
--- /dev/null
+++ b/c99
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c99"
+for opt; do
+ case "$opt" in
+ -std=c99|-std=iso9899:1999) fl="";;
+ -std=*) echo "`basename $0` called with non ISO C99 option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc $fl ${1+"$@"}